## percona-pgbouncer 1.15.0

=== debian/changelog ===
percona-pgbouncer (1.15.0-2) unstable; urgency=medium

  * Update to new pgbouncer version 1.15.0

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 20 May 2021 12:51:47 +0000

percona-pgbouncer (1.15.0-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 20 May 2021 12:51:47 +0000
