=== debian/changelog ===
percona-pgbouncer (1.16.1-2) unstable; urgency=medium

  * Update to new pgbouncer version 1.16.1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Wed, 15 Dec 2021 15:51:30 +0000

percona-pgbouncer (1.16.1-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 15 Dec 2021 15:51:30 +0000
