=== debian/changelog ===
percona-pgbouncer (1.17.0-1) unstable; urgency=medium

  * Update to new pgbouncer version 1.17.0

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Tue, 31 May 2022 22:24:33 +0000

percona-pgbouncer (1.17.0-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 31 May 2022 22:24:33 +0000
