=== debian/changelog ===
percona-pgbouncer (1.19.1-1) unstable; urgency=medium

  * Update to new pgbouncer version 1.19.1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Mon, 05 Jun 2023 12:36:52 +0000

percona-pgbouncer (1.19.1-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 05 Jun 2023 12:36:51 +0000
