=== debian/changelog ===
percona-pgbouncer (1.20.0-1) unstable; urgency=medium

  * Update to new pgbouncer version 1.20.0

 -- Ubuntu <ubuntu@minimal-ubuntu-focal-x64-10329>  Sun, 20 Aug 2023 12:39:25 +0000

percona-pgbouncer (1.20.0-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Sun, 20 Aug 2023 12:39:24 +0000
