=== debian/tests/control ===
Tests: connect
Depends: @, postgresql
Restrictions: needs-root, allow-stderr
