## percona-pgbouncer 1.20.1

=== debian/changelog ===
percona-pgbouncer (1.20.1-1) unstable; urgency=medium

  * Update to new pgbouncer version 1.20.1

 -- Ubuntu <ubuntu@minimal-ubuntu-focal-x64-10997>  Fri, 15 Sep 2023 17:31:29 +0000

percona-pgbouncer (1.20.1-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 15 Sep 2023 17:31:29 +0000
