=== debian/control ===
Source: percona-pgbouncer
Maintainer: Percona Development Team <info@percona.com>
Section: database
Priority: optional
Standards-Version: 4.5.0
Rules-Requires-Root: no
Build-Depends:
 ca-certificates,
 debhelper,
 libevent-dev (>= 1.3b),
 libpam0g-dev | libpam-dev,
 libssl-dev,
 libc-ares-dev (>> 1.12),
 libpq-dev,
 pkg-config,
 pandoc,
 percona-postgresql-16,
 python3
Homepage: https://www.pgbouncer.org/


Package: percona-pgbouncer
Architecture: any
Depends:
 lsb-base (>= 3.1),
 percona-postgresql-common | postgresql-common,
 ${misc:Depends},
 ${shlibs:Depends}
Provides: pgbouncer, percona-pgbouncer
Suggests: python3, python3-psycopg2
Enhances: postgresql (>= 7.4)
Description: lightweight connection pooler for PostgreSQL
 PgBouncer is a lightweight connection pooler for PostgreSQL providing the
 following features:
 .
  * Several levels of brutality when rotating connections: session pooling,
    transaction pooling, statement pooling.
  * Low memory requirements.
  * It is not tied to one backend server, the destination databases
    can reside on different hosts.
  * Supports online reconfiguration for most of the settings.
  * Supports online restart/upgrade.

#dbg#Package: percona-pgbouncer-dbg
#dbg#Section: debug
#dbg#Architecture: any
#dbg#Depends: percona-pgbouncer (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
#dbg#Provides: pgbouncer-dbg, percona-pgbouncer-dbg
#dbg#Description: debug symbols for pgbouncer
#dbg# PgBouncer is a lightweight connection pooler for PostgreSQL providing the
#dbg# following features:
#dbg# .
#dbg#  * Several levels of brutality when rotating connections: session pooling,
#dbg#    transaction pooling, statement pooling.
#dbg#  * Low memory requirements.
#dbg#  * It is not tied to one backend server, the destination databases
#dbg#    can reside on different hosts.
#dbg#  * Supports online reconfiguration for most of the settings.
#dbg#  * Supports online restart/upgrade.
#dbg# .
#dbg# This package contains debug symbols for pgbouncer.
