=== debian/changelog ===
percona-pgbouncer (1.21.0-1) unstable; urgency=medium

  * Update to new pgbouncer version 1.21.0

 -- Ubuntu <ubuntu@minimal-ubuntu-focal-x64-14137>  Fri, 24 Nov 2023 15:26:31 +0000

percona-pgbouncer (1.21.0-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 24 Nov 2023 15:26:31 +0000
