## percona-pgbouncer 1.22.0

=== debian/changelog ===
percona-pgbouncer (1.22.0-1) unstable; urgency=medium

  * Update to new pgbouncer version 1.22.0

 -- Ubuntu <ubuntu@minimal-ubuntu-focal-x64-16496>  Wed, 21 Feb 2024 20:55:11 +0000

percona-pgbouncer (1.22.0-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 21 Feb 2024 20:55:11 +0000
