=== debian/changelog ===
percona-pgbouncer (1.22.1-1) unstable; urgency=medium

  * Update to new pgbouncer version 1.22.1

 -- root <root@5fc91315afa6>  Mon, 13 May 2024 11:01:13 +0000

percona-pgbouncer (1.22.1-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Mon, 13 May 2024 11:01:13 +0000
