=== debian/changelog ===
percona-pgbouncer (1.23.1-2) unstable; urgency=medium

  * Update to new pgbouncer version 1.23.1

 -- root <root@b772c74bc723>  Fri, 08 Nov 2024 07:56:12 +0000

percona-pgbouncer (1.23.1-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 08 Nov 2024 07:56:12 +0000
