## percona-pgbouncer 1.24.0

=== win32/Makefile ===
# create eventmsg.rc + MSG*.bin
eventmsg.rc: eventmsg.mc
	mc.exe eventmsg.mc
