=== debian/changelog ===
percona-pgbouncer (1.24.0-1) unstable; urgency=medium

  * Update to new pgbouncer version 1.24.0

 -- root <root@b6b87a5cf9ff>  Fri, 14 Feb 2025 09:27:51 +0000

percona-pgbouncer (1.24.0-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 14 Feb 2025 09:27:51 +0000
