=== debian/changelog ===
percona-pgbouncer (1.24.1-2) unstable; urgency=medium

  * Update to new pgbouncer version 1.24.1

 -- root <root@c19bb2e17bca>  Thu, 21 Aug 2025 12:30:43 +0000

percona-pgbouncer (1.24.1-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 21 Aug 2025 12:30:43 +0000
