=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  libpq-dev,
  pkg-config,
  pandoc,
- percona-postgresql-16,
  python3
 Homepage: https://www.pgbouncer.org/
